import React, { useEffect, useState } from 'react';
import styles from './HalfScrnBasicLayout.less';
import NativeHook from '@/utils/NativeHook';
import { Icon } from 'antd-mobile';
function BasicLayout(props) {
  const { showStyle,heightPage } = props.location.query;
  const [conHeight,setConHeight] = useState('1008')
  useEffect(() => {
    NativeHook.init();
    if (heightPage){
      setConHeight(heightPage);
    }
    return () => {
      NativeHook.destroy()
    }
  }, []);
  const onClose = () => {
    console.log('关闭')
    NativeHook.call.close();
  }
  return (
    <div>
      {
        // showStyle 0:全屏 1:半屏 2:弹窗
        showStyle == 1 ?
        <div className={styles.wrap_half}>
          <div className={styles.shadow} onClick={onClose}></div>
          <div className={styles.container} style={{height:`${conHeight/75}rem`}}>
            {props.children}
          </div>
        </div>
        :
        <div className={styles.wrap}>
          {props.children}
        </div>
      }
    </div>
  )
}
export default BasicLayout
