import React, { useEffect, useState, Fragment } from 'react';
import styles from './BeforeRanks.less';
import NativeHook from '@/utils/NativeHook';
import { useRequest, useSetState } from 'ahooks';
import BackHeader from './components/BackHeader';
import { getConditionRtcHourRank } from './api';
import ContentList from './components/ContentList';
import ContentHeader from './components/ContentHeader';

export default function BeforeRanks(props: any) {
  const { showStyle } = props.location.query;
  console.log('showStyle', showStyle);
  const [momentType, setMomentType] = useState(0);
  useEffect(() => {
    document.title = '上一个小时榜';
    NativeHook.init();
    return () => {
      NativeHook.destroy();
    };
  }, []);
  const onClose = () => {
    console.log('关闭');
    NativeHook.call.close();
  };
  const { data: info, run: fetchRecharge } = useRequest(getConditionRtcHourRank, {
    defaultParams: [{ momentType: momentType }],
  });
  return (
    <Fragment>
      {
        // 1:半屏 0:全屏
        showStyle == 1 ? (
          <div className={styles.wrap_half}>
            <div className={styles.shadow} onClick={onClose}></div>
            <div className={styles.container}>
              <BackHeader {...props}></BackHeader>
              {info && <ContentHeader momentType={momentType} cycle={info.cycle}></ContentHeader>}
              {info && <ContentList dataList={info.list}></ContentList>}
            </div>
          </div>
        ) : (
          <div className={styles.wrap_all}>
            {info && <ContentHeader momentType={momentType} cycle={info.cycle}></ContentHeader>}
            {info && <ContentList dataList={info.list}></ContentList>}
          </div>
        )
      }
    </Fragment>
  );
}
