import { NativeRequest } from '@/utils/api';

/**小时榜 */
export type ListItem = {
  roomId: string;
  roomNo: string;
  roomName: string;
  roomCover: string;
  needPass: number;
  scoreValue: string;
  rankNo: number;
  diffValue: string;
  [propsName: string]: any;
};

type GetHourParams = {
  momentType: Number;
};
type ResultInfo = {
  cycle: string;
  list: Array<ListItem>;
  momentType: number;
  timestamp: string;
};
export type IPropsList = {
  dataList: Array<ListItem>;
};
export type IPropsHeader = {
  momentType: number;
  cycle?: string;
};
export const getConditionRtcHourRank = (params: GetHourParams) => {
  return NativeRequest<GetHourParams, ResultInfo>({
    api: '/api-app/v1/rank/getConditionRtcHourRank',
    params,
    method: 'getData',
  });
};
