import React, { memo } from 'react';
import styles from './BackHeader.less';
import NativeHook from '@/utils/NativeHook';
import { history } from 'umi';
import close from '../images/close.png';
import goBackPic from '../images/goBack.png';

const BackHeader = (props: any) => {
  const onClose = () => {
    console.log('关闭');
    NativeHook.call.close();
  };
  const { goBack, title } = props;
  const goToQuestion = () => {
    if (window.location.hostname.includes('timichat.cn')) {
      window.location.href = 'http://inappv2.timichat.cn/template/message?infoId=539844237328384&showStyle=1&goBack=1';
    } else {
      window.location.href = 'http://inappv2.timichat.net/template/message?infoId=555654020333568&showStyle=1&goBack=1';
    }
  };
  return (
    <div className={styles.back_wrap}>
      <div className={styles.left} onClick={goBack ? () => history.goBack() : onClose}>
        <span className={styles.close} style={{ backgroundImage: goBack ? 'url(' + goBackPic + ')' : 'url(' + close + ')' }}></span>
      </div>
      <span className={styles.route_name}>{title || props.route.title}</span>
      <div className={styles.right} onClick={goToQuestion} style={{ zIndex: goBack ? '-1' : '1', opacity: goBack ? '0' : '1' }}>
        <span className={styles.question}></span>
      </div>
    </div>
  );
};
export default memo(BackHeader);
