import React, { memo, Fragment, useEffect, useState } from 'react';
import styles from './ContentHeader.less';
import countdown from '../../../utils/Time.js';
import { getQueryString } from '../../../utils/Url';
import { history } from 'umi';
import { IPropsHeader } from '../api';

let dayTime: any;

const ContentHeader = (props: IPropsHeader) => {
  const showStyle = getQueryString('showStyle');
  const { momentType, cycle } = props;
  const [time, setTime] = useState('');
  useEffect(() => {
    dayTime = setInterval(() => {
      setTime(countdown());
    }, 1000);
    return () => {
      clearInterval(dayTime);
    };
  }, []);
  // 截取字符
  const getCaption = (obj: string) => {
    let index = obj.lastIndexOf('时');
    obj = obj.substring(index + 1, obj.length);
    return obj;
  };
  return (
    <Fragment>
      {momentType == 1 ? (
        <div className={styles.box_hedaer}>
          <div className={styles.left}>
            距离本小时结榜 <span className={styles.time_box}>{getCaption(time)}</span>
          </div>
          <div className={styles.go_btn} onClick={() => history.push(`/hours/before?showStyle=${showStyle}`)}>
            上一小时榜<span className={styles.go_icon}></span>
          </div>
        </div>
      ) : (
        <div className={styles.box_hedaer}>
          <div className={styles.left}>榜单周期：{cycle}</div>
          <div className={styles.go_btn} onClick={() => history.push(`/hours/now?showStyle=${showStyle}`)}>
            当前小时榜<span className={styles.go_icon}></span>
          </div>
        </div>
      )}
    </Fragment>
  );
};
export default memo(ContentHeader);
