import React, { memo, useEffect, useState } from 'react';
import styles from './AnchorBlock.less';
import NativeHook from '@/utils/NativeHook';
import female from '../images/female.png'
import male from '../images/male.png'
const extraStyle = {
  female:{
    backgroundImage:'url(' + female + ')',
    textShadow:'0 1px 1px rgba(0,103,240,0.60)'
  },
  male:{
    backgroundImage:'url(' + male + ')',
    textShadow:'0 1px 1px rgba(0,103,240,0.60)'
  }
}
const AnchorBlock = (props)=>{
  const { anchorInfor} = props
  useEffect(() => {
    NativeHook.init();
    return () => {
      NativeHook.destroy()
    }
  }, []);
  const goPrivateChat = (userId) => {
    if(!userId) return
    NativeHook.go.privateChat({ userId })
  }
  const goToRoom = (roomId) => {
    if (roomId) {
      NativeHook.go.chatRoom({ roomId })
    }
  }
  return (
    <div className={styles.anchor_warp}>
      <div className={styles.left_photo}>
        <img className={styles.img_photo} src={anchorInfor.icon} alt="" />
        {
          anchorInfor.isonline ? <div className={styles.online}></div> : ''
        }
      </div>
      <div className={styles.center_box}>
        <div className={styles.center_box_title}>{anchorInfor.title}</div>
        {/* sex 1: 男 2:女 */}
        <div className={styles.center_box_age} style={anchorInfor.sex == 2 ? extraStyle.female : extraStyle.male}>
          <span>{anchorInfor.subTitle}</span>
        </div>
      </div>
      {
        !!anchorInfor.isonline == false ? '' : anchorInfor.status ?
        <div className={styles.right_box} onClick={()=>goToRoom(anchorInfor.status)}>
          <img className={styles.icon_play} src={require('../images/playing.gif')} alt="" />派对中
        </div>
        :
        <div className={styles.right_box} onClick={()=>goPrivateChat(anchorInfor.id)}>
          <img className={styles.icon_play} src={require('../images/chat.png')} alt="" />聊天
        </div>
      }
    </div>
  )
}
export default memo(AnchorBlock)
