import React,{ memo }from 'react';
import styles from './BackHeader.less';
import NativeHook from '@/utils/NativeHook';
import { LeftOutline } from 'antd-mobile-icons';
import { history } from 'umi';
import { getQueryString } from '../../../utils/Url'
const BackHeader = (props) => {
  const goBack = getQueryString('goBack')
  const onClose = () => {
    console.log('关闭')
    NativeHook.call.close();
  }
  const { title } = props;
  const goBackClick = ()=>{
    window.history.go(-1);
  }
  return (
    <div className={styles.back_wrap}>
      <div className={styles.left} onClick={goBack ? goBackClick : onClose}>
        {/* <Icon className={styles.go_back} type="left" /> */}
        <LeftOutline fontSize={24} />
      </div>
      <span className={styles.route_name}>{title}</span>
    </div>
  )
}
export default memo(BackHeader)
