import React, { useEffect, useState,Fragment } from 'react';
import ReactDOM from 'react-dom';
import styles from './index.less'

const styleImg = {
  Img1:{
    'maxWidth': '100%'
  },
  Img2:{
    'width': '100%',
  },
  pos1:{
    'top':0,
  },
  pos2:{
    'top': '50%',
    'transform': 'translateY(-50%)'
  }
}

export default function ImageZoom (props) {
  const { src } = props;
  const [showImg,setShowImg] = useState(false);
  const [imgWidth, setImgWidth] = useState(null);
  const [imgHeight, setImgHeight] = useState(null);
  useEffect(() => {
    getImgInfo()
  }, [src]);
  const showImgClick = ()=>{
    setShowImg(true)
  }
  const hideImgClick = ()=>{
    setShowImg(false)
  }
  const getImgInfo = ()=>{
    const img = new Image();
    img.src = src;
    img.onload = (e)=>{
      setImgWidth(img.width);
      setImgHeight(img.height);
    }
  }
  const getViewportSize = ()=>{
    return {
        width: window.innerWidth || document.documentElement.clientWidth || document.body.clientWidth,
        height: window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight
    };
  }

  return (
    <Fragment>
      <div className={styles.img_box}>
        <img className={styles.img_btn} src={src} style={ imgWidth >= 750 ? styleImg.Img2 : styleImg.Img1} alt="" onClick={showImgClick}/>
      </div>
      {
        showImg && ReactDOM.createPortal(<div className={styles.img_warp} onClick={hideImgClick}>
          <div className={styles.bg}></div>
          <div className={styles.img_content}>
            <img className={styles.img} src={src} style={ imgHeight > getViewportSize().height ? styleImg.pos1 : styleImg.pos2} alt="" />
          </div>
        </div>,document.body)
      }
    </Fragment>
  )
}

