import React, { memo, useEffect, useState } from 'react';
import styles from './RoomBlock.less';
import NativeHook from '@/utils/NativeHook';
const RoomBlock = (props)=>{
  const { roomInfor} = props
  const [labelImg,setLabelImg] = useState('')
  const goToRoom = (roomId) => {
    if (roomId) {
      NativeHook.go.chatRoom({ roomId })
    }
  }
  useEffect(() => {
    NativeHook.init();
    if(roomInfor.roomTypeColor && roomInfor.roomTypeColor.indexOf("http") == 0){
      setLabelImg(roomInfor.roomTypeColor)
    }
    return () => {
      NativeHook.destroy()
    }
  }, []);
  return (
    <div className={styles.room_warp} onClick={() => goToRoom(roomInfor.id)}>
      <div className={styles.left_photo} style={{ backgroundImage: `url(${roomInfor.icon})`}}></div>
      <div className={styles.right_box}>
        <div className={styles.right_box_title}>
          <span className={styles.label} style={{backgroundImage: labelImg ? `url('${labelImg}')` : `linear-gradient(to right , ${roomInfor.roomTypeColor})`}}>{roomInfor.roomType}</span>
          <h6 className={styles.title}>{roomInfor.title}</h6>
        </div>
        <div className={styles.right_box_id}>房间ID：{roomInfor.subTitle}</div>
        <div className={styles.right_box_num}>
          <img className={styles.icon_play} src={require('../images/playing.gif')} alt="" />{roomInfor.status}
        </div>
      </div>
    </div>
  )
}
export default memo(RoomBlock)
